<?php
class cModulo  {
	function insertar($nom){
		$sql = "INSERT INTO 
		tb_modulo (tb_modulo_nom) 
		VALUES ('$nom');";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$nom){
		$sql = "UPDATE tb_modulo 
		SET tb_modulo_nom = '$nom' 
		WHERE tb_modulo_id = $id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function ultimoInsert(){
		$sql = "SELECT last_insert_id()";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function filtrar(){
		$sql="SELECT * FROM tb_modulo WHERE  tb_modulo_xac=1 ORDER BY tb_modulo_nom asc";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function filtrarUsuario(){
		$sql="SELECT * FROM tb_modulo WHERE  tb_modulo_xac=1 and tb_modulo_vis = 1 ORDER BY tb_modulo_id desc";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * FROM tb_modulo WHERE tb_modulo_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function eliminar($id){
		$sql="UPDATE tb_modulo SET tb_modulo_xac=0 WHERE tb_modulo_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>